aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-mako/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-23 21:43:58 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 14:07:36 +0000
commit0830b14145effe40d14f45c5479656b56de4df37 (patch)
treef04b127477b3cd90d3121f063d7511d5f42ac4c0 /testing/py-mako/APKBUILD
parent702151898e1bc65594df78260d05ce7714d5c958 (diff)
downloadaports-0830b14145effe40d14f45c5479656b56de4df37.tar.gz
aports-0830b14145effe40d14f45c5479656b56de4df37.tar.bz2
aports-0830b14145effe40d14f45c5479656b56de4df37.tar.xz
testing/py-mako: new aport
A fast Python templating language http://www.makotemplates.org/
Diffstat (limited to 'testing/py-mako/APKBUILD')
-rw-r--r--testing/py-mako/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-mako/APKBUILD b/testing/py-mako/APKBUILD
new file mode 100644
index 0000000000..5a757bc207
--- /dev/null
+++ b/testing/py-mako/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-mako
+_pkgname=Mako
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="A Python fast templating language"
+url="http://www.makotemplates.org/"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e2627ba5c65f83dfe39d9a0892ae517d Mako-0.9.0.tar.gz"
+sha256sums="c090ae3d775f714c572583f2bb7ace591847eab0d86accd81d17005411b10027 Mako-0.9.0.tar.gz"
+sha512sums="ca583313afd37220bf47f9fd9fc50b5a140122bf9b3b7cdbf380455ffe8f16391a0873980eac8ca4f3fa17842ed7b021c72d712aa03774e4ef00ab3a149b2415 Mako-0.9.0.tar.gz"